Skip to main content
POST
/
v1
/
loans
cURL
curl --request POST \
  --url https://sandbox-api.itscovered.com/lenders/v1/loans \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "borrowers": [
    {
      "currentAddress": {
        "city": "San Francisco",
        "state": "CA",
        "street": "123 Main St",
        "zip": "94101",
        "county": "San Francisco",
        "street2": "Apt 123"
      },
      "email": "john.doe@example.com",
      "firstName": "John",
      "isPrimary": true,
      "lastName": "Doe",
      "phone": "1234567890",
      "dob": "1990-01-01",
      "formerAddress": {
        "city": "San Francisco",
        "state": "CA",
        "street": "123 Main St",
        "zip": "94101",
        "county": "San Francisco",
        "street2": "Apt 123"
      },
      "gender": "MALE",
      "mailingAddress": {
        "city": "San Francisco",
        "state": "CA",
        "street": "123 Main St",
        "zip": "94101",
        "county": "San Francisco",
        "street2": "Apt 123"
      },
      "maritalStatus": "SINGLE"
    }
  ],
  "loanNumber": "1234567890",
  "property": {
    "address": {
      "city": "San Francisco",
      "state": "CA",
      "street": "123 Main St",
      "zip": "94101",
      "county": "San Francisco",
      "street2": "Apt 123"
    },
    "dwellingInfo": {
      "airConditioningType": "Central",
      "annualFloodRisk": "Low",
      "appraisalValue": 100000,
      "basementSquareFootage": 1000,
      "buildingCondition": "Good",
      "effectiveYearBuilt": "2020",
      "electricityType": "Electric",
      "exteriorWallType": "Brick",
      "femaFloodZone": "A",
      "fireDepartment": "Fire Department",
      "fireplaceType": "Wood",
      "fireplaces": 2,
      "flooringType": "Hardwood",
      "foundationType": "Slab",
      "fuelType": "Electric",
      "garageSquareFootage": 1000,
      "garageType": "Attached",
      "heatingType": "Central",
      "homeConstructionMaterial": "Wood",
      "homeStructureType": "WOOD_FRAME",
      "loanId": "1234567890",
      "newConstruction": true,
      "numberOfBathrooms": 2,
      "numberOfBedrooms": 3,
      "numberOfFireplaces": 2,
      "numberOfLivingUnits": 1,
      "numberOfStories": 2,
      "parkingType": "Attached",
      "policeDepartment": "Police Department",
      "poolType": "Pool",
      "propertyUsageType": "Primary Residence",
      "purchasePrice": 100000,
      "replacementCost": 100000,
      "replacementCostProvider": "Provider",
      "roofDesign": "Gable",
      "roofMaterial": "Asphalt",
      "roofStyleType": "Hip",
      "sewerType": "Septic",
      "squareFootage": 1000,
      "storiesWithCode": "2+A",
      "waterType": "Well",
      "yearBuilt": "2020"
    },
    "type": "SINGLE_FAMILY",
    "usage": "PRIMARY_RESIDENCE"
  },
  "closingDate": "2025-01-01",
  "externalId": "1234567890",
  "loanAmount": 100000,
  "loanContacts": [
    {
      "email": "john.doe@example.com",
      "firstName": "John",
      "lastName": "Doe",
      "phone": "1234567890",
      "role": "Loan Officer"
    }
  ],
  "loanOfficer": {
    "email": "john.doe@example.com",
    "firstName": "John",
    "lastName": "Doe",
    "phone": "1234567890"
  },
  "loanPurposeType": "PURCHASE",
  "loanType": "MORTGAGE"
}
'
{
  "hostedDisplayUrl": "<string>",
  "id": "693f2f46-69ff-4f20-a4d9-abe982d34fd4",
  "status": "<string>",
  "contactPageUrl": "<string>",
  "shortHostedDisplayUrl": "<string>"
}
This endpoint is rate limited. See Rate Limits for more details.

Authorizations

Authorization
string
header
required

JWT Token

Body

The request to create a loan application

borrowers
(PrimaryBorrower · object | CoBorrower · object)[]
required

The borrower details

loanNumber
string
required

The loan number

Example:

"1234567890"

property
Property · object
required

The property details

closingDate
string<date> | null

The closing date of the loan

Example:

"2025-01-01"

externalId
string | null

An external identifier used for reference. Defaults to loanNumber

Example:

"1234567890"

loanAmount
number | null

The loan amount

Example:

100000

loanContacts
object[] | null
loanOfficer
object

The loan contact information

loanPurposeType
enum<string> | null

The purpose of the loan

Available options:
PURCHASE,
REFINANCE,
CONSTRUCTION,
CONSTRUCTION PERM,
MORTGAGE MODIFICATION,
LAND_LOT,
OTHER
Example:

"PURCHASE"

loanType
enum<string> | null

The type of the loan

Available options:
MORTGAGE,
HELOC,
HELOAN,
UNKNOWN_LOAN_TYPE
Example:

"MORTGAGE"

Response

The response from the create loan application endpoint

hostedDisplayUrl
string
required
id
string
required

The unique identifier of the loan application

Example:

"693f2f46-69ff-4f20-a4d9-abe982d34fd4"

status
string
required
contactPageUrl
string<uri>

URL for the contact page for this loan application

shortHostedDisplayUrl
string<uri>

Short URL for the hosted borrower quote experience, when available